package com.xhpc.activity.mapper;

import com.xhpc.activity.domain.XhpcWorkUserDomain;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface XhpcWorkUserMapper {

    XhpcWorkUserDomain selectByUserNameAndPhone(@Param("userName")String userName, @Param("phone") String phone);

    List<Map<String, Object>> selectMapListByDeptId(@Param("deptId")String deptId);


    List<XhpcWorkUserDomain> selectByOrderId(Long orderId);

    int deleteLogicByPrimaryKey(Long workUserId);

    int insert(XhpcWorkUserDomain record);

    XhpcWorkUserDomain selectByPrimaryKey(Long workUserId);

    int updateByPrimaryKey(XhpcWorkUserDomain record);

    int updateDomainStatusByPrimaryKey(XhpcWorkUserDomain record);

    List<XhpcWorkUserDomain> selectPage(@Param("params") Map<String, Object> params);

    List<Map<String, Object>> selectMapList(@Param("params") Map<String, Object> params);

    String selectPhoneListByIds(@Param("userIds")String userIds);


    List<XhpcWorkUserDomain> selectListByDeptId(@Param("deptId")Long deptId);

}